<?php

require_once INTENSE_PLUGIN_FOLDER .  '/shortcodes/custom-post/custom-post-shortcode.php';

class Intense_Movies extends Intense_Custom_Post {
	function __construct() {
		parent::__construct();

		$this->title = __( 'Movies', 'intense' );
		$this->description = __( 'Show off your movies with numerous different layouts. Use any of the templates provided for the Blog shortcode, or create your own templates.', 'intense' );
		$this->custom_post_type = 'intense_movies';
		$this->taxonomy = 'intense_movie_genre';		
	}

	function shortcode( $atts, $content = null ) {
		$atts["post_type"] = "intense_movies";

		if ( empty( $atts["taxonomy"] ) ) $atts["taxonomy"] = "intense_movie_genre";

		return parent::shortcode( $atts, $content );
	}
}